/* Reset base */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
html {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #273F54;
    /* colore sfondo */
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
}

.container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* LOGO PRINCIPALE */
.logo-main {
    width: 350px;
    opacity: 1;
    animation: spin 3s ease-in-out forwards;
}

/* Animazione rotazione */
@keyframes spin {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* LOGHI FINALI */
.logos-final {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 80px;
    opacity: 0;
    pointer-events: none;
}

/* Loghi finali */
.logo-final {
    width: 300px;
    transform: scale(0.8);
    transition: transform 0.4s ease;
}

.logo-final:hover {
    transform: scale(1);
}

/* Animazione comparsa loghi */
.show-logos {
    animation: fadeIn 1.2s ease forwards;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}